Multivariate Pattern Analysis in Python

# mvpa2.atlases.fsl.FSLProbabilisticAtlas

class `mvpa2.atlases.fsl.``FSLProbabilisticAtlas`(thr=0.0, strategy='all', sort=True, *args, **kwargs)

  Probabilistic FSL atlases

  Attributes

  `coordT` |
  `extent` |
  `levels` |
  `origin` |
  `resolution` |
  `spaceT` |
  `version` |
  `voxdim` |

  Methods

  `__call__`(*args) |
  `find`(*args, **kwargs) | Just a shortcut to the only level.
  `get_map`(target[, strategy, axes_order]) | Return a probability map as an array
  `get_maps`(target[, axes_order, key_attr, …]) | Return a dictionary of probability maps for the target
  `label_point`(coord[, levels]) | Return labels for the given spatial point at specified levels
  `label_voxel`(c[, levels]) | Return labels for the voxel
  `levels_listing`() |
  `load_atlas`(filename) | Load atlas from a file
  `query`(index[, query_voxel]) | Generic query method.
  `set_coordT`(coordT) | Set coordT transformation.

  Parameters:

  thr : float

  > Value to threshold at

  strategy : str

  > Possible values

  >   all - all entries above thr max - entry with maximal value

  sort : bool

  > Either to sort entries for ‘all’ strategy according to probability

  filename : str

  > Filename for the xml definition of the atlas

  resolution : None or float

  > Some atlases link to multiple images at different resolutions. if None – best resolution is selected using 0th dimension resolution

  image_file : None or str

  > If None, overrides filename for the used imagefile, so it could load a custom (re-registered) atlas maps

  coordT

  > Optional transformation to apply first

  default_levels : None or slice or list of int

  > What levels by default to operate on

  load_maps : bool

  > Load spatial maps for the atlas.

  Attributes

  `coordT` |
  `extent` |
  `levels` |
  `origin` |
  `resolution` |
  `spaceT` |
  `version` |
  `voxdim` |

  Methods

  `__call__`(*args) |
  `find`(*args, **kwargs) | Just a shortcut to the only level.
  `get_map`(target[, strategy, axes_order]) | Return a probability map as an array
  `get_maps`(target[, axes_order, key_attr, …]) | Return a dictionary of probability maps for the target
  `label_point`(coord[, levels]) | Return labels for the given spatial point at specified levels
  `label_voxel`(c[, levels]) | Return labels for the voxel
  `levels_listing`() |
  `load_atlas`(filename) | Load atlas from a file
  `query`(index[, query_voxel]) | Generic query method.
  `set_coordT`(coordT) | Set coordT transformation.

  `find`(*args, **kwargs)

    Just a shortcut to the only level.

    See `find` for more info

  `get_map`(target, strategy='unique', axes_order='xyz')

    Return a probability map as an array

    Parameters:

    target : int or str or re._pattern_type

    > If int, map for given index is returned. Otherwise, .find is called with `unique=True` to find matching area

    strategy : str in (‘unique’, ‘max’)

    > If ‘unique’, then if multiple areas match, exception would be raised. In case of ‘max’, each voxel would get maximal value of probabilities from all matching areas

    axes_order : str in (‘xyz’, ‘zyx’)

    > In what order axes of the returned array should follow.

  `get_maps`(target, axes_order='xyz', key_attr=None, overlaps=None)

    Return a dictionary of probability maps for the target

    Each key is a `Label` instance, and value is the probability map

    Parameters:

    target : str or re._pattern_type

    > .find is called with a target and unique=False to find all matches

    axes_order : str in (‘xyz’, ‘zyx’)

    > In what order axes of the returned array should follow.

    key_attr : None or str

    > What to use for the keys of the dictionary. If None, `Label` instance would be used as a key. If some attribute provided (e.g. ‘text’, ‘abbr’, ‘index’), corresponding attribute of the `Label` instance would be taken as a key.

    overlaps : None or {‘max’}

    > How to treat overlaps in maps. If None, nothing is done and maps might have overlaps. If ‘max’, then maps would not overlap and competing maps will be resolved based on maximal value (e.g. if maps contain probabilities).

  `label_voxel`(c, levels=None)

    Return labels for the voxel

    Parameters: | c : tuple of coordinates (xyz) - levels : just for API consistency (heh heh). Must be 0 for FSL atlases